www-legal-discuss mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From William A Rowe Jr <wr...@rowe-clan.net>
Subject Re: Non OSI approved licenses
Date Wed, 03 May 2017 18:30:56 GMT
On Wed, May 3, 2017 at 1:25 PM, Alex Harui <aharui@adobe.com> wrote:
>
>
> Can we agree to require that non-OSI approved licenses that this mailing
> list has agreed is Cat-A use the following:
>
>     This product bundles SuperWidget 1.2.3, which is
>     available under a non-OSI-approved <Cat-A> license.
>     For details, see deps/superwidget/.

You are climbing back in the weeds we dragged ourselves out of
with the introduction of Apache License 2.0. Previously we had plenty
of license compatibility text stating FSF interpretations versus our
interpretations about the Apache License 1.1. We stopped wasting
our effort with the introduction of AL 2.0 even in the face of comical
misinterpretations of our patent or other clauses that turned out to be
a decade-long rift with a particular OS distributor (and the OSI blessing
carried no benefit in resolving the impasse.)

I think the only place to note third-party interpretations, and this would
include the OSI itself, should be collected in the license approval JIRA
ticket. How does the OSI's judgement differ from any other respected
license or project author's opinion about license interoperability?

-1 for adding more marketing text to NOTICE/LICENSE/README.

---------------------------------------------------------------------
To unsubscribe, e-mail: legal-discuss-unsubscribe@apache.org
For additional commands, e-mail: legal-discuss-help@apache.org


Mime
View raw message